Package twisted :: Package internet :: Module threads

[frames | no frames]

## Module twisted.internet.threads

Extended thread dispatching support.

For basic support see reactor threading API docs.

API Stability: stable

Maintainer: Itamar Shtull-Trauring

Function Summary
| ``_putResultInDeferred`(deferred, f, args, kwargs)` Run a function and give results to a Deferred.
| ``_runMultiple`(tupleList)` Run a list of functions.
| ``callMultipleInThread`(tupleList)` Run a list of functions in the same thread.
| ``deferToThread`(f, *args, **kwargs)` Run function in thread and return result as Deferred.

Function Details

### _putResultInDeferred(deferred, f, args, kwargs)

Run a function and give results to a Deferred.

### _runMultiple(tupleList)

Run a list of functions.

### callMultipleInThread(tupleList)

Run a list of functions in the same thread.

tupleList should be a list of (function, argsList, kwargsDict) tuples.

### deferToThread(f, *args, **kwargs)

Run function in thread and return result as Deferred.

Generated by Epydoc 2.0 on Sat May 15 20:08:50 2004 | http://epydoc.sf.net